<?php

namespace Comitium5\DesignerBundle\Factory\Layout;

use Comitium5\DesignerBundle\Factory\AbstractFactory;

/**
 * Class LayoutPageFactory
 *
 * @author Carles Gómez <carles@bab-soft.com>
 * @package Comitium5\DesignerBundle\Factory\Layout
 */
class LayoutPageFactory extends AbstractFactory
{
    /**
     * @return mixed
     */
    public function create()
    {
        $classNamespace = $this->getEntityNamespace();

        $layoutPage = new $classNamespace();

        return $layoutPage;
    }
}
